#include "grifodebugmessage.h"

//#include "qgrexrtgsocket.h"
//#include "RexExternalChannelFactory.h"
//#include "RexIExternalChannel.h"

//static RexIExternalChannel* dbgCh;

static void dbgch_initialize()
{
    //dbgCh=&RexExternalChannelFactory::createDebugChannel(0);
}


GrifoDebugMessage::GrifoDebugMessage()
{
#if 0
    if (dbgCh==0)
    {
        dbgch_initialize();
        cmpDbgSim.remote_gc=1;
        cmpDbgSim.soft_scan_converter=1;
        cmpDbgSim.raw_test_pattern=1;

    }
#endif
}


void GrifoDebugMessage::cmpUpdate()
{
#if 0
    if (dbgCh)
        dbgCh->sendTo(63, &cmpDbgSim, sizeof cmpDbgSim); //dbgMsg.payload, 4*4);
#endif
}

GrifoCMpDbgSimMessage GrifoDebugMessage::cmpDbgSim;
